# $Revision: 1.10 $, $Date: 2012/05/17 21:25:15 $
Summary:	XMMS, BMP or Audacious player control plugin
Summary(pl.UTF-8):	Wtyczka do kontroli odtwarzacza XMMS, BMP lub Audacious
Name:		xfce4-playercontrol-plugin
Version:	0.3.0
Release:	8
License:	BSD-like (see COPYING)
Group:		X11/Applications
Source0:	http://www.bilimfeneri.gen.tr/ilgar/%{name}-%{version}.tar.bz2
# Source0-md5:	307c896467e204706cf04942151f2fcc
Patch0:		%{name}-audclient.patch
Patch1:		%{name}-ui.patch
Patch2:		%{name}-panel48.patch
Patch3:		%{name}-desktop.patch
Patch4:		%{name}-GtkTooltips.patch
URL:		http://goodies.xfce.org/projects/panel-plugins/xfce4-xmms-plugin
BuildRequires:	audacious-devel >= 2.5.0
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	intltool
BuildRequires:	libtool
BuildRequires:	libxfce4ui-devel
BuildRequires:	pkgconfig
BuildRequires:	xfce4-dev-tools >= 4.4.0
BuildRequires:	xfce4-panel-devel >= 4.4.0
BuildRequires:	xmms-devel
Requires:	xfce4-panel >= 4.4.0
Suggests:	%{name}-audacious
Suggests:	%{name}-xmms
Obsoletes:	xfce4-xmms-plugin
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Plugin which provides you control on XMMS, BMP or Audacious media
player from Xfce panel.

%description -l pl.UTF-8
Wtyczka, która umożliwia kontrolę nad odtwarzaczem multimedialnym
XMMS, BMP lub Audacious z pozycji panelu Xfce.

%package audacious
Summary:	Audacious support for playercontrol plugin
Summary(pl.UTF-8):	Obsługa Audacious dla wtyczki playercontrol
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}

%description audacious
Audacious support for playercontrol plugin.

%description audacious -l pl.UTF-8
Obsługa Audacious dla wtyczki playercontrol.

%package xmms
Summary:	XMMS support for playercontrol plugin
Summary(pl.UTF-8):	Obsługa XMMS dla wtyczki playercontrol
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}

%description xmms
XMMS support for playercontrol plugin.

%description xmms -l pl.UTF-8
Obsługa XMMS dla wtyczki playercontrol.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-static \
	--enable-xmms \
	--enable-audacious \
	--disable-mpd

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv $RPM_BUILD_ROOT%{_datadir}/locale/pt{_PT,}
rm $RPM_BUILD_ROOT%{_libdir}/xfce4/panel-plugins/*.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog COPYING README
%attr(755,root,root) %{_libdir}/xfce4/panel-plugins/xfce4-playercontrol-plugin
%attr(755,root,root) %{_libdir}/xfce4/panel-plugins/libplayercontrol_dummy.so
%{_datadir}/xfce4/panel-plugins/xfce4-playercontrol-plugin.desktop
%{_datadir}/xfce4/xfce4-playercontrol-plugin

%files audacious
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/xfce4/panel-plugins/libplayercontrol_audacious.so

%files xmms
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/xfce4/panel-plugins/libplayercontrol_xmms.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xfce4-playercontrol-plugin.spec,v $
Revision 1.10  2012/05/17 21:25:15  baggins
- update to current gtk api

Revision 1.9  2012/05/17 20:04:35  baggins
- release 8

Revision 1.8  2011/06/13 10:53:45  baggins
- rel 7
- audacious command is 'audacious' as of 2.5.0

Revision 1.7  2011/03/07 11:20:22  baggins
- rel 6
- fix incompatibilities with 4.8 panel
- don't state the obvious in desktop file

Revision 1.6  2011/03/01 17:27:22  baggins
- rel 5
- port to libxfce4ui

Revision 1.5  2011/02/16 23:07:39  megabajt
- release 4

Revision 1.4  2011/01/29 23:14:33  sparky
- BR: autoconf, gettext-devel, intltool

Revision 1.3  2010/11/24 12:08:43  baggins
- rel 3
- it's audacious2 in PLD

Revision 1.2  2010/11/24 11:30:21  baggins
- rel 2
- fix audacious client linking

Revision 1.1  2010/11/11 18:05:18  baggins
- initial revison, xfce4-xmms-plugin replacement

